#
# spec file for package ghc-JuicyPixels
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name JuicyPixels
Name:           ghc-%{pkg_name}
Version:        3.2.9.5
Release:        6.5
Summary:        Picture loading/serialization (in png, jpeg, bitmap, gif, tga, tiff and radiance)
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-zlib-devel

%description
This library can load and store images in PNG,Bitmap, Jpeg, Radiance, Tiff and
Gif images.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README.md changelog docimages

%changelog
* Thu Apr 12 2018 psimons@suse.com
- Update JuicyPixels to version 3.2.9.5.
  A more detailed change log is not available.
* Mon Jun 19 2017 psimons@suse.com
- Update to version 3.2.8.2.
* Tue Mar 14 2017 psimons@suse.com
- Update to version 3.2.8.1 with cabal2obs.
* Sun Jan  8 2017 psimons@suse.com
- Update to version 3.2.8 revision 1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 3.2.8 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 3.2.7.2 revision 0 with cabal2obs.
* Thu Jun 30 2016 mimi.vx@gmail.com
- update to 3.2.7.2
  * Fix: no more libjpeg warning when decoding Juicy.Pixels encoded images.
* Sun Jun  5 2016 mimi.vx@gmail.com
- update to 3.2.7.1
  * Fix: some wrongly infinitely looping JPEG decoding
* Tue Jan 26 2016 mimi.vx@gmail.com
- update to 3.2.7
  * Addition: convertRGB8 and convertRGBA8 helper functions
  * Addition: new output colorspace for JPEG format: Y, RGB & CMYK
  * Addition: RGBA8 bitmap reading (thanks to mtolly)
  * Enhancement: Optimized JPG & Tiff reading (thanks to Calvin Beck)
  * Enhancement: INLINE SPECIALIZE for pixelMap (Pixel8 -> Pixel8) (thx to Calvin Beck)
  * Fix: GHC 8.0 compilation (thanks to phadej)
* Mon Dec  7 2015 mimi.vx@gmail.com
- update to 3.2.6.4
  * Fix: Fixing unwanted sharing with createMutableImage due to
    wrongly used INLINE pragma
* Wed Nov  4 2015 mimi.vx@gmail.com
- update to 3.2.6.2
  * Fix: Using minimal GIF version if outputing a single image.
* Mon Aug 31 2015 mimi.vx@gmail.com
- update to 3.2.6.1
  * Fix: handling of negative height & width in bitmap format
  * Fix: regression on Tiff parsing.
* Sun Aug 23 2015 mimi.vx@gmail.com
- update to 3.2.6
  * Added: imageToTga saving helper function.
  * Fix: don't invert TGA alpha channel.
  * Fix: various typo in documentation.
* Mon Jul 27 2015 mimi.vx@gmail.com
- update to 3.2.5.3
  * Fix: bumping vector upper bounds.
* Mon Jun  8 2015 mimi.vx@gmail.com
- update to 3.2.5.2
  * Adding: Width & Height metdata to help querying image information without
    decompressing the whole.
  * Adding: Source format metadata.
* Sun May 31 2015 mimi.vx@gmail.com
- update to 3.2.5.1
  * Fixing: utf-8 encoding of Jpg/Types causing problems with Haddock.
  * Adding: Metadata extraction for various file format.
  * Adding: Metadata writing for various file format.
  * Adding: light EXIF mapping.
  * Fix: handling of Tiff with predictors (thanks to Patrick Pelletier)
* Mon Apr 27 2015 mimi.vx@gmail.com
- update to 3.2.4
  * Adding: Traversals compatible with the lens library.
* Wed Apr 22 2015 mimi.vx@gmail.com
- update to 3.2.3.1
  * Fix: BMP output generated wrong size (thanks to mtolly).
  * Adding: Support for RGB in jpeg (yeah, that exist...)
  * Adding: Support of CMYK & YCrCbK color space in jpeg files.
  * Addinng: a pixelFoldMap functions analog to the `foldMap` function
  of the Foldable type class.
  * Fix: better performances for the pixelFold* functions
* Sun Feb  1 2015 mimi.vx@gmail.com
- initial commit of JuicyPixels lib
